GNU bug report logs - #34548
[PATCH 06/24] gnu: Add r-leaflet.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Brett Gilio <brettg@HIDDEN>; Keywords: patch; dated Tue, 19 Feb 2019 03:59:07 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 34548 <at> debbugs.gnu.org:


Received: (at 34548) by debbugs.gnu.org; 22 Feb 2019 14:20:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 22 09:20:54 2019
Received: from localhost ([127.0.0.1]:47700 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxBh3-0005Ml-TM
	for submit <at> debbugs.gnu.org; Fri, 22 Feb 2019 09:20:54 -0500
Received: from mx1.riseup.net ([198.252.153.129]:48726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gxBh1-0005Mc-4v
 for 34548 <at> debbugs.gnu.org; Fri, 22 Feb 2019 09:20:48 -0500
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 1FE5E1A162D;
 Fri, 22 Feb 2019 06:20:46 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1550845246; bh=b/vdZq/nJGuADKFdlzCP+1RnYhophnCCx6jaH/ElymQ=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=Fxixj1HM8DGBI/+8pR+p9NnVQITDQiEiFD1q17WnqM2yDrdAuFyQi/qqAMP7G4UFw
 LTqIQapZkl4XdtJqQR1HrV5JbvNJJAd9rgkqF0nQSnV2lwJt7hDvx19hrvhrhl4jCQ
 GueS3Pleyr9hK8QoftYwO3MnsKzOMKCQKrNrpGKA=
X-Riseup-User-ID: 62DB7D00A520596E0DE25E4E92F0795C2BA8BF874F50829346D215AD0EC54884
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 9B4AF120D1C;
 Fri, 22 Feb 2019 06:20:44 -0800 (PST)
Subject: Re: [bug#34548] [PATCH 06/24] gnu: Add r-leaflet.
To: Brett Gilio <brettg@HIDDEN>
References: <87a7isv3u9.fsf@HIDDEN> <87pnroudwk.fsf@HIDDEN>
 <87va1faatv.fsf@HIDDEN> <5AB7CFA8-FD34-48D3-8392-9102042F3596@HIDDEN>
 <87d0nknbl1.fsf@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <ae1837a6-e747-5204-1624-56b732dabd87@HIDDEN>
Date: Fri, 22 Feb 2019 10:03:23 +0100
MIME-Version: 1.0
In-Reply-To: <87d0nknbl1.fsf@HIDDEN>
Content-Type: multipart/alternative;
 boundary="------------FBAD7EC7CC62F930C0BE2730"
Content-Language: en-US
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 34548
Cc: Ricardo Wurmus <rekado@HIDDEN>, 34548 <at> debbugs.gnu.org,
 Julien Lepiller <julien@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

This is a multi-part message in MIME format.
--------------FBAD7EC7CC62F930C0BE2730
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

On 02/21/2019 09:14 PM, Brett Gilio wrote:
> swedebugia writes:
>
>> Brett Gilio <brettg@HIDDEN> skrev: (19 februari 2019 19:32:12 CET)
snip
>>>   However, on that note, do we
>>> have
>>> any progress on an npm importer? I know that came up awhile back.
>> Julien is sitting on the patchset right now since a few weeks.
>>
>> It still has some defects still but is mostly working.
>>
>> The problem of circular dependencies is still unsolved. I suggest we add to our importer the ability to parse and select versions recursively. I tried but failed to get it to work before I gave up.
> Hey, where is the patchset located? I wouldn't mind taking a look.

Here it is: https://framagit.org/tyreunom/guix/tree/npm

Julien integrated my changes (which consisted of changing to use the 
npm-packages instead of github sources) on top of Jelles earlier work 
and made some changes after that (fixing the recursive importer :D) and 
rebased the whole thing.

Most smaller packages include everything in the npm-packages but when 
reviewing we should check that we are actually building from source and 
not just installing some precompiles js-files (which you can imagine 
will take a long time).

Fortunately it is "only" 1500-2000 packages i a couple of different 
versions that are used in most projects that I have explored with the 
very nice tool npm-explorer (see 
https://gitlab.com/swedebugia/guile-npm-explorer).

We essentially need to write our own npm dependency resolver to avoid 
circular dependencies.
What in my view is currently missing to decide which version of 
dependencies to import is a semver parser. I took a stab at that, see 
below[1], but it is messy and buggy and should probably be implemented 
with PEG[2].

Now that I recently succeded with PEG in my unpublished WIP quicklisp 
importer I could give it another try with PEG.

Have fun with it!

|;; FIXME consider even the patch versions. ;; See 
https://stackoverflow.com/questions/22343224/whats-the-difference-between-tilde-and-caret-in-package-json 
(define (parse-semver hashtable version) "return the newest version 
within the same major or minor version" (define (split list) 
(string-split list #\.)) (define (version-list hashtable) (map split 
(map first (hash-table->alist (hash-ref hashtable "versions"))))) 
(define (major list) (first list)) (define (minor list) (second list)) 
(define (minor->number list) (string->number (minor (split list)))) ;; 
Return latest minor with same major version. ;; e.g. ^1.1.0 -> 1.4.0 
even though 2.0.0 is availiable (let* ((version (split (string-drop 
version 1))) (version-list (map first (hash-table->alist (hash-ref 
hashtable "versions")))) (same-major (if (equal? 3 (length version)) 
(fold ;; recurse through version-list (lambda (ver lst) (if 
(string-prefix? (major version) ver) (cons ver lst) lst)) '() 
version-list) ;; not a version triplet #f))) ;; From ;; 
https://www.gnu.org/software/guile/manual/html_node/SRFI_002d1-Fold-and-Map.html#SRFI_002d1-Fold-and-Map 
(fold-right (lambda (str prev) (if (> (minor->number str) (minor->number 
prev)) str prev)) ;;init with 0.0.0 work with minor->number "0.0.0" 
same-major))) [1] 
https://gitlab.com/swedebugia/guile-npm-explorer/blob/wip-versioning-parse/npm-explorer.scm#L148 
[2] 
https://www.gnu.org/software/guile/manual/html_node/PEG-Tutorial.html#PEG-Tutorial 
|


--------------FBAD7EC7CC62F930C0BE2730
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 7bit

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  </head>
  <body text="#000000" bgcolor="#FFFFFF">
    <div class="moz-cite-prefix">On 02/21/2019 09:14 PM, Brett Gilio
      wrote:<br>
    </div>
    <blockquote type="cite" cite="mid:87d0nknbl1.fsf@HIDDEN">
      <pre wrap="">
swedebugia writes:

</pre>
      <blockquote type="cite">
        <pre wrap="">Brett Gilio <a class="moz-txt-link-rfc2396E" href="mailto:brettg@HIDDEN">&lt;brettg@HIDDEN&gt;</a> skrev: (19 februari 2019 19:32:12 CET)</pre>
      </blockquote>
    </blockquote>
    snip<br>
    <blockquote type="cite" cite="mid:87d0nknbl1.fsf@HIDDEN">
      <blockquote type="cite">
        <blockquote type="cite">
          <pre wrap="">
 However, on that note, do we
have
any progress on an npm importer? I know that came up awhile back.
</pre>
        </blockquote>
        <pre wrap="">
Julien is sitting on the patchset right now since a few weeks. 

It still has some defects still but is mostly working.

The problem of circular dependencies is still unsolved. I suggest we add to our importer the ability to parse and select versions recursively. I tried but failed to get it to work before I gave up.
</pre>
      </blockquote>
      <pre wrap="">
Hey, where is the patchset located? I wouldn't mind taking a look.
</pre>
    </blockquote>
    <p>Here it is: <a class="moz-txt-link-freetext" href="https://framagit.org/tyreunom/guix/tree/npm">https://framagit.org/tyreunom/guix/tree/npm</a></p>
    <p>Julien integrated my changes (which consisted of changing to use
      the npm-packages instead of github sources) on top of Jelles
      earlier work and made some changes after that (fixing the
      recursive importer :D) and rebased the whole thing.<br>
    </p>
    Most smaller packages include everything in the npm-packages but
    when reviewing we should check that we are actually building from
    source and not just installing some precompiles js-files (which you
    can imagine will take a long time).
    <p>Fortunately it is "only" 1500-2000 packages i a couple of
      different versions that are used in most projects that I have
      explored with the very nice tool npm-explorer (see
      <a class="moz-txt-link-freetext" href="https://gitlab.com/swedebugia/guile-npm-explorer">https://gitlab.com/swedebugia/guile-npm-explorer</a>).<br>
    </p>
    <p>We essentially need to write our own npm dependency resolver to
      avoid circular dependencies. <br>
      What in my view is currently missing to decide which version of
      dependencies to import is a semver parser. I took a stab at that,
      see below[1], but it is messy and buggy and should probably be
      implemented with PEG[2].</p>
    <p>Now that I recently succeded with PEG in my unpublished WIP
      quicklisp importer I could give it another try with PEG.</p>
    <p>Have fun with it! <br>
    </p>
    <pre class="code highlight"><code><span id="LC148" class="line" lang="scheme"><span class="c1">;; FIXME consider even the patch versions.</span></span>
<span id="LC149" class="line" lang="scheme"><span class="c1">;; See <a class="moz-txt-link-freetext" href="https://stackoverflow.com/questions/22343224/whats-the-difference-between-tilde-and-caret-in-package-json">https://stackoverflow.com/questions/22343224/whats-the-difference-between-tilde-and-caret-in-package-json</a></span></span>
<span id="LC150" class="line" lang="scheme"><span class="p">(</span><span class="k">define</span> <span class="p">(</span><span class="nf">parse-semver</span> <span class="nv">hashtable</span> <span class="nv">version</span><span class="p">)</span></span>
<span id="LC151" class="line" lang="scheme">  <span class="s">"return the newest version within the same major or minor version"</span></span>
<span id="LC152" class="line" lang="scheme">  <span class="p">(</span><span class="k">define</span> <span class="p">(</span><span class="nf">split</span> <span class="nv">list</span><span class="p">)</span></span>
<span id="LC153" class="line" lang="scheme">    <span class="p">(</span><span class="nf">string-split</span> <span class="nv">list</span> <span class="sc">#\.</span><span class="p">))</span></span>
<span id="LC154" class="line" lang="scheme">  <span class="p">(</span><span class="k">define</span> <span class="p">(</span><span class="nf">version-list</span> <span class="nv">hashtable</span><span class="p">)</span></span>
<span id="LC155" class="line" lang="scheme">    <span class="p">(</span><span class="nb">map</span> <span class="nv">split</span></span>
<span id="LC156" class="line" lang="scheme">	 <span class="p">(</span><span class="nb">map</span> <span class="nv">first</span></span>
<span id="LC157" class="line" lang="scheme">	      <span class="p">(</span><span class="nf">hash-table-&gt;alist</span> <span class="p">(</span><span class="nf">hash-ref</span> <span class="nv">hashtable</span> <span class="s">"versions"</span><span class="p">)))))</span></span>
<span id="LC158" class="line" lang="scheme">  <span class="p">(</span><span class="k">define</span> <span class="p">(</span><span class="nf">major</span> <span class="nv">list</span><span class="p">)</span></span>
<span id="LC159" class="line" lang="scheme">    <span class="p">(</span><span class="nf">first</span> <span class="nv">list</span><span class="p">))</span></span>
<span id="LC160" class="line" lang="scheme">  <span class="p">(</span><span class="k">define</span> <span class="p">(</span><span class="nf">minor</span> <span class="nv">list</span><span class="p">)</span></span>
<span id="LC161" class="line" lang="scheme">    <span class="p">(</span><span class="nf">second</span> <span class="nv">list</span><span class="p">))</span></span>
<span id="LC162" class="line" lang="scheme">  <span class="p">(</span><span class="k">define</span> <span class="p">(</span><span class="nf">minor-&gt;number</span> <span class="nv">list</span><span class="p">)</span></span>
<span id="LC163" class="line" lang="scheme">    <span class="p">(</span><span class="nb">string-&gt;number</span> <span class="p">(</span><span class="nf">minor</span> <span class="p">(</span><span class="nf">split</span> <span class="nv">list</span><span class="p">))))</span></span>
<span id="LC164" class="line" lang="scheme">  <span class="c1">;; Return latest minor with same major version.</span></span>
<span id="LC165" class="line" lang="scheme">  <span class="c1">;; e.g. ^1.1.0 -&gt; 1.4.0 even though 2.0.0 is availiable</span></span>
<span id="LC166" class="line" lang="scheme">  <span class="p">(</span><span class="k">let*</span> <span class="p">((</span><span class="nf">version</span> <span class="p">(</span><span class="nf">split</span> <span class="p">(</span><span class="nf">string-drop</span> <span class="nv">version</span> <span class="mi">1</span><span class="p">)))</span></span>
<span id="LC167" class="line" lang="scheme">	 <span class="p">(</span><span class="nf">version-list</span></span>
<span id="LC168" class="line" lang="scheme">	  <span class="p">(</span><span class="nb">map</span> <span class="nv">first</span></span>
<span id="LC169" class="line" lang="scheme">	       <span class="p">(</span><span class="nf">hash-table-&gt;alist</span> <span class="p">(</span><span class="nf">hash-ref</span> <span class="nv">hashtable</span> <span class="s">"versions"</span><span class="p">))))</span></span>
<span id="LC170" class="line" lang="scheme">	 <span class="p">(</span><span class="nf">same-major</span></span>
<span id="LC171" class="line" lang="scheme">	  <span class="p">(</span><span class="k">if</span> <span class="p">(</span><span class="nb">equal?</span> <span class="mi">3</span> <span class="p">(</span><span class="nb">length</span> <span class="nv">version</span><span class="p">))</span></span>
<span id="LC172" class="line" lang="scheme">	      <span class="p">(</span><span class="nf">fold</span></span>
<span id="LC173" class="line" lang="scheme">	       <span class="c1">;; recurse through version-list</span></span>
<span id="LC174" class="line" lang="scheme">	       <span class="p">(</span><span class="k">lambda</span> <span class="p">(</span><span class="nf">ver</span> <span class="nv">lst</span><span class="p">)</span></span>
<span id="LC175" class="line" lang="scheme">		 <span class="p">(</span><span class="k">if</span> <span class="p">(</span><span class="nf">string-prefix?</span> <span class="p">(</span><span class="nf">major</span> <span class="nv">version</span><span class="p">)</span> <span class="nv">ver</span><span class="p">)</span></span>
<span id="LC176" class="line" lang="scheme">		     <span class="p">(</span><span class="nb">cons</span> <span class="nv">ver</span> <span class="nv">lst</span><span class="p">)</span></span>
<span id="LC177" class="line" lang="scheme">		     <span class="nv">lst</span><span class="p">))</span></span>
<span id="LC178" class="line" lang="scheme">	       <span class="o">'</span><span class="p">()</span></span>
<span id="LC179" class="line" lang="scheme">	       <span class="nv">version-list</span><span class="p">)</span></span>
<span id="LC180" class="line" lang="scheme">	      <span class="c1">;; not a version triplet</span></span>
<span id="LC181" class="line" lang="scheme">	      <span class="no">#f</span><span class="p">)))</span></span>
<span id="LC182" class="line" lang="scheme">    <span class="c1">;; From</span></span>
<span id="LC183" class="line" lang="scheme">    <span class="c1">;; <a class="moz-txt-link-freetext" href="https://www.gnu.org/software/guile/manual/html_node/SRFI_002d1-Fold-and-Map.html#SRFI_002d1-Fold-and-Map">https://www.gnu.org/software/guile/manual/html_node/SRFI_002d1-Fold-and-Map.html#SRFI_002d1-Fold-and-Map</a></span></span>
<span id="LC184" class="line" lang="scheme">    <span class="p">(</span><span class="nf">fold-right</span></span>
<span id="LC185" class="line" lang="scheme">     <span class="p">(</span><span class="k">lambda</span> <span class="p">(</span><span class="nf">str</span> <span class="nv">prev</span><span class="p">)</span></span>
<span id="LC186" class="line" lang="scheme">       <span class="p">(</span><span class="k">if</span> <span class="p">(</span><span class="nb">&gt;</span> <span class="p">(</span><span class="nf">minor-&gt;number</span> <span class="nv">str</span><span class="p">)</span> <span class="p">(</span><span class="nf">minor-&gt;number</span> <span class="nv">prev</span><span class="p">))</span></span>
<span id="LC187" class="line" lang="scheme">      	   <span class="nv">str</span></span>
<span id="LC188" class="line" lang="scheme">      	   <span class="nv">prev</span><span class="p">))</span></span>
<span id="LC189" class="line" lang="scheme">     <span class="c1">;;init with 0.0.0 work with minor-&gt;number</span></span>
<span id="LC190" class="line" lang="scheme">     <span class="s">"0.0.0"</span></span>
<span id="LC191" class="line" lang="scheme">     <span class="nv">same-major</span><span class="p">)))

[1] <a class="moz-txt-link-freetext" href="https://gitlab.com/swedebugia/guile-npm-explorer/blob/wip-versioning-parse/npm-explorer.scm#L148">https://gitlab.com/swedebugia/guile-npm-explorer/blob/wip-versioning-parse/npm-explorer.scm#L148</a>
[2] <a class="moz-txt-link-freetext" href="https://www.gnu.org/software/guile/manual/html_node/PEG-Tutorial.html#PEG-Tutorial">https://www.gnu.org/software/guile/manual/html_node/PEG-Tutorial.html#PEG-Tutorial</a>
</span></span></code></pre>
  </body>
</html>

--------------FBAD7EC7CC62F930C0BE2730--




Information forwarded to guix-patches@HIDDEN:
bug#34548; Package guix-patches. Full text available.

Message received at 34548 <at> debbugs.gnu.org:


Received: (at 34548) by debbugs.gnu.org; 21 Feb 2019 20:14:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 21 15:14:35 2019
Received: from localhost ([127.0.0.1]:59879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwujq-0002OZ-Qe
	for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 15:14:35 -0500
Received: from mout02.posteo.de ([185.67.36.66]:59483)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1gwujo-0002OK-0r
 for 34548 <at> debbugs.gnu.org; Thu, 21 Feb 2019 15:14:33 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id EAC53240100
 for <34548 <at> debbugs.gnu.org>; Thu, 21 Feb 2019 21:14:25 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1550780066; bh=wCvxQK/Q1FxBymVibjgssmS9kxYojSwtKEWVzSN1B1w=;
 h=From:To:Cc:Subject:Date:From;
 b=djeyHBY3Aq4yd16A3Nh7PZAeVKiHTRMchupcgvm9huxY/rO+ZGS9q1sJTU8M1FeXa
 EvgHa7Jv1wHi9FlOqb7pzzKO9tZA72tMc53PSB4vNo6a3cHE1jaF91NsK5C4PZ4WCD
 WUGVxm8dvUpYKQqFU4b4J/eC/rFwd+MT/1rXL0sFINJy7Enxouw12nuqA/eLLl1jyI
 nXtfA2yIs1b02DrtPc4FAyPaSz84v5whZ8H54KX5a6sG+DabR60Sc4aZgdpYwmpDuP
 5qHhc0H6LiLn8xy0CrHsHSnycru6C5D5sUGrgczsDSZxZAAWI79P5+VOCJhNK27vLP
 MUwpc+hNJPVdQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4455KW69ywz9rxk;
 Thu, 21 Feb 2019 21:14:23 +0100 (CET)
References: <87a7isv3u9.fsf@HIDDEN> <87pnroudwk.fsf@HIDDEN>
 <87va1faatv.fsf@HIDDEN> <5AB7CFA8-FD34-48D3-8392-9102042F3596@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Brett Gilio <brettg@HIDDEN>
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: [bug#34548] [PATCH 06/24] gnu: Add r-leaflet.
In-reply-to: <5AB7CFA8-FD34-48D3-8392-9102042F3596@HIDDEN>
Date: Thu, 21 Feb 2019 14:14:18 -0600
Message-ID: <87d0nknbl1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34548
Cc: Ricardo Wurmus <rekado@HIDDEN>, 34548 <at> debbugs.gnu.org,
 Brett Gilio <brettg@HIDDEN>, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


swedebugia writes:

> Brett Gilio <brettg@HIDDEN> skrev: (19 februari 2019 19:32:12 CET)
>>
>>Ricardo Wurmus writes:
>>
>>> Hi Brett,
>>>
>>>> From 26fbdbeee9ec293511648dc321abb09b6989fadc Mon Sep 17 00:00:00
>>2001
>>>> From: Brett Gilio <brettg@HIDDEN>
>>>> Date: Mon, 18 Feb 2019 19:37:02 -0600
>>>> Subject: [PATCH 06/24] gnu: Add r-leaflet.
>>>>
>>>> * gnu/packages/cran.scm (r-leaflet): New variable.
>>>
>>> Unfortunately, this one is not okay.  It=E2=80=99s been on my list to a=
dd
>>> r-leaflet, but the package bundles minified JavaScript libraries.
>>>
>>> These sources of these libraries will need to be added as native
>>inputs
>>> to replace the bundled sources.  We can minify them with the
>>uglify-js
>>> package.
>>
>>Understood. I will make a note to look that and see if I can revise the
>>patch if that option seems formidable. However, on that note, do we
>>have
>>any progress on an npm importer? I know that came up awhile back.
>
> Julien is sitting on the patchset right now since a few weeks.=20
>
> It still has some defects still but is mostly working.
>
> The problem of circular dependencies is still unsolved. I suggest we add =
to our importer the ability to parse and select versions recursively. I tri=
ed but failed to get it to work before I gave up.

Hey, where is the patchset located? I wouldn't mind taking a look.




Information forwarded to guix-patches@HIDDEN:
bug#34548; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Feb 2019 20:14:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 21 15:14:53 2019
Received: from localhost ([127.0.0.1]:59882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwuk9-0002P3-5o
	for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 15:14:53 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1gwuk7-0002Or-D1
 for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 15:14:51 -0500
Received: from lists.gnu.org ([209.51.188.17]:57953)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <brettg@HIDDEN>) id 1gwuk1-00058i-Ns
 for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 15:14:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44970)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <brettg@HIDDEN>) id 1gwuk0-0001Gz-Pl
 for guix-patches@HIDDEN; Thu, 21 Feb 2019 15:14:45 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_20,RCVD_IN_DNSWL_MED,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <brettg@HIDDEN>) id 1gwujw-00055C-Vt
 for guix-patches@HIDDEN; Thu, 21 Feb 2019 15:14:42 -0500
Received: from mout02.posteo.de ([185.67.36.66]:57515)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <brettg@HIDDEN>) id 1gwujv-0004zB-19
 for guix-patches@HIDDEN; Thu, 21 Feb 2019 15:14:39 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id DAA5A2400FC
 for <guix-patches@HIDDEN>; Thu, 21 Feb 2019 21:14:25 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1550780065; bh=wCvxQK/Q1FxBymVibjgssmS9kxYojSwtKEWVzSN1B1w=;
 h=From:To:Cc:Subject:Date:From;
 b=iOCM/WAc3Yx2+tC2P+YQYLQkKPN7x8+FUWQKFJ6vyTQV+Wh6LXB84fboZBH4/DzpT
 gKAvhpwqTCk02ZFL0GZRLqhqU9gdS5Zv2CcxL7v8jWDtSMhHMlW3DAPSrcYjimOWry
 Zk74NwINAHmxvjmgUPtL68oDHX4awII72EPRXXt+TbY6UnmjgDK/R0Fla8ElCDTuhl
 ytIXQ2ji/7xsaH3kYneiGPZMriJB5nb3XrXmIagdxiCo4vfzPNIvOZAHukPws2RWZo
 Fr2CryAvvEFjS4RdBvf7olO2ZROc7JxZ1fRkb5M0EiCb4JtAKtc1WSwjFNvyKQgOxg
 5mdyQUEMXUwsg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4455KW69ywz9rxk;
 Thu, 21 Feb 2019 21:14:23 +0100 (CET)
References: <87a7isv3u9.fsf@HIDDEN> <87pnroudwk.fsf@HIDDEN>
 <87va1faatv.fsf@HIDDEN> <5AB7CFA8-FD34-48D3-8392-9102042F3596@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Brett Gilio <brettg@HIDDEN>
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: [bug#34548] [PATCH 06/24] gnu: Add r-leaflet.
In-reply-to: <5AB7CFA8-FD34-48D3-8392-9102042F3596@HIDDEN>
Date: Thu, 21 Feb 2019 14:14:18 -0600
Message-ID: <87d0nknbl1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 185.67.36.66
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
Cc: Ricardo Wurmus <rekado@HIDDEN>, 34548 <at> debbugs.gnu.org,
 Brett Gilio <brettg@HIDDEN>, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


swedebugia writes:

> Brett Gilio <brettg@HIDDEN> skrev: (19 februari 2019 19:32:12 CET)
>>
>>Ricardo Wurmus writes:
>>
>>> Hi Brett,
>>>
>>>> From 26fbdbeee9ec293511648dc321abb09b6989fadc Mon Sep 17 00:00:00
>>2001
>>>> From: Brett Gilio <brettg@HIDDEN>
>>>> Date: Mon, 18 Feb 2019 19:37:02 -0600
>>>> Subject: [PATCH 06/24] gnu: Add r-leaflet.
>>>>
>>>> * gnu/packages/cran.scm (r-leaflet): New variable.
>>>
>>> Unfortunately, this one is not okay.  It=E2=80=99s been on my list to a=
dd
>>> r-leaflet, but the package bundles minified JavaScript libraries.
>>>
>>> These sources of these libraries will need to be added as native
>>inputs
>>> to replace the bundled sources.  We can minify them with the
>>uglify-js
>>> package.
>>
>>Understood. I will make a note to look that and see if I can revise the
>>patch if that option seems formidable. However, on that note, do we
>>have
>>any progress on an npm importer? I know that came up awhile back.
>
> Julien is sitting on the patchset right now since a few weeks.=20
>
> It still has some defects still but is mostly working.
>
> The problem of circular dependencies is still unsolved. I suggest we add =
to our importer the ability to parse and select versions recursively. I tri=
ed but failed to get it to work before I gave up.

Hey, where is the patchset located? I wouldn't mind taking a look.




Information forwarded to guix-patches@HIDDEN:
bug#34548; Package guix-patches. Full text available.

Message received at 34548 <at> debbugs.gnu.org:


Received: (at 34548) by debbugs.gnu.org; 21 Feb 2019 20:03:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 21 15:03:17 2019
Received: from localhost ([127.0.0.1]:59854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwuYu-00026u-L6
	for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 15:03:16 -0500
Received: from mx1.riseup.net ([198.252.153.129]:32922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gwuYs-00026m-Hj
 for 34548 <at> debbugs.gnu.org; Thu, 21 Feb 2019 15:03:15 -0500
Received: from bell.riseup.net (unknown [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id D40441A3EE7;
 Thu, 21 Feb 2019 12:03:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1550779394; bh=OKs7HMpjDoFN9xfWXXtLTAh/3NEG78/bYJUnL8WRGh0=;
 h=Date:In-Reply-To:References:Subject:To:CC:From:From;
 b=n+gy9Gx6owGymzrCDaiAMbno2T/88YFgj7EsPJO8DI7OMFjTirSp/NcEpFoKXFtdC
 pt1B8RE5X/0o/9QaCbaFYitOoNMeM/WMBWY0TcgKUnZziucYtbScEzzHjVeRAmfoB9
 NPIQrGuYHRh8g0H7sAnjEcuZHI3PnMntPXGfEDh0=
X-Riseup-User-ID: E2C3B206B6C302C302A7B8C494AD05DE904C8D305E8A3C08FEB02FBBB3889D3C
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 11DCC223385;
 Thu, 21 Feb 2019 12:03:12 -0800 (PST)
Date: Thu, 21 Feb 2019 21:03:08 +0100
In-Reply-To: <87va1faatv.fsf@HIDDEN>
References: <87a7isv3u9.fsf@HIDDEN> <87pnroudwk.fsf@HIDDEN>
 <87va1faatv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----VIK5PFWP1F8IO7D4A7DCV71IVAWOEB"
Content-Transfer-Encoding: 7bit
Subject: Re: [bug#34548] [PATCH 06/24] gnu: Add r-leaflet.
To: guix-patches@HIDDEN, Brett Gilio <brettg@HIDDEN>,
 Ricardo Wurmus <rekado@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <5AB7CFA8-FD34-48D3-8392-9102042F3596@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34548
Cc: 34548 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

------VIK5PFWP1F8IO7D4A7DCV71IVAWOEB
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

Brett Gilio <brettg@posteo=2Enet> skrev: (19 februari 2019 19:32:12 CET)
>
>Ricardo Wurmus writes:
>
>> Hi Brett,
>>
>>> From 26fbdbeee9ec293511648dc321abb09b6989fadc Mon Sep 17 00:00:00
>2001
>>> From: Brett Gilio <brettg@posteo=2Enet>
>>> Date: Mon, 18 Feb 2019 19:37:02 -0600
>>> Subject: [PATCH 06/24] gnu: Add r-leaflet=2E
>>>
>>> * gnu/packages/cran=2Escm (r-leaflet): New variable=2E
>>
>> Unfortunately, this one is not okay=2E  It=E2=80=99s been on my list to=
 add
>> r-leaflet, but the package bundles minified JavaScript libraries=2E
>>
>> These sources of these libraries will need to be added as native
>inputs
>> to replace the bundled sources=2E  We can minify them with the
>uglify-js
>> package=2E
>
>Understood=2E I will make a note to look that and see if I can revise the
>patch if that option seems formidable=2E However, on that note, do we
>have
>any progress on an npm importer? I know that came up awhile back=2E

Julien is sitting on the patchset right now since a few weeks=2E=20

It still has some defects still but is mostly working=2E

The problem of circular dependencies is still unsolved=2E I suggest we add=
 to our importer the ability to parse and select versions recursively=2E I =
tried but failed to get it to work before I gave up=2E
--=20
Sent from my k-9 mail for Android=2E

------VIK5PFWP1F8IO7D4A7DCV71IVAWOEB
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"gmail_quote">Brett Gilio &lt;brettg@=
posteo=2Enet&gt; skrev: (19 februari 2019 19:32:12 CET)<blockquote class=3D=
"gmail_quote" style=3D"margin: 0pt 0pt 0pt 0=2E8ex; border-left: 1px solid =
rgb(204, 204, 204); padding-left: 1ex;">
<pre class=3D"k9mail"><br>Ricardo Wurmus writes:<br><br><blockquote class=
=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1px sol=
id #729fcf; padding-left: 1ex;"> Hi Brett,<br><br><blockquote class=3D"gmai=
l_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid #ad7f=
a8; padding-left: 1ex;"> From 26fbdbeee9ec293511648dc321abb09b6989fadc Mon =
Sep 17 00:00:00 2001<br> From: Brett Gilio &lt;brettg@posteo=2Enet&gt;<br> =
Date: Mon, 18 Feb 2019 19:37:02 -0600<br> Subject: [PATCH 06/24] gnu: Add r=
-leaflet=2E<br><br> * gnu/packages/cran=2Escm (r-leaflet): New variable=2E<=
br></blockquote><br> Unfortunately, this one is not okay=2E  It=E2=80=99s b=
een on my list to add<br> r-leaflet, but the package bundles minified JavaS=
cript libraries=2E<br><br> These sources of these libraries will need to be=
 added as native inputs<br> to replace the bundled sources=2E  We can minif=
y them with the uglify-js<br> package=2E<br></blockquote><br>Understood=2E =
I will make a note to look that and see if I can revise the<br>patch if tha=
t option seems formidable=2E However, on that note, do we have<br>any progr=
ess on an npm importer? I know that came up awhile back=2E<br><br><br><br><=
/pre></blockquote></div><br clear=3D"all">Julien is sitting on the patchset=
 right now since a few weeks=2E <br><br>It still has some defects still but=
 is mostly working=2E<br><br>The problem of circular dependencies is still =
unsolved=2E I suggest we add to our importer the ability to parse and selec=
t versions recursively=2E I tried but failed to get it to work before I gav=
e up=2E<br>-- <br>Sent from my k-9 mail for Android=2E<br></body></html>
------VIK5PFWP1F8IO7D4A7DCV71IVAWOEB--




Information forwarded to guix-patches@HIDDEN:
bug#34548; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Feb 2019 20:03:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 21 15:03:24 2019
Received: from localhost ([127.0.0.1]:59857 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwuZ2-00027H-4D
	for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 15:03:24 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53452)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gwuZ1-000273-0O
 for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 15:03:23 -0500
Received: from lists.gnu.org ([209.51.188.17]:47381)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gwuYv-0006gV-Rf
 for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 15:03:17 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39558)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gwuYu-0002Ov-Lp
 for guix-patches@HIDDEN; Thu, 21 Feb 2019 15:03:17 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gwuYt-0006eF-8v
 for guix-patches@HIDDEN; Thu, 21 Feb 2019 15:03:16 -0500
Received: from mx1.riseup.net ([198.252.153.129]:45322)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gwuYs-0006dG-Sn
 for guix-patches@HIDDEN; Thu, 21 Feb 2019 15:03:15 -0500
Received: from bell.riseup.net (unknown [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id D40441A3EE7;
 Thu, 21 Feb 2019 12:03:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1550779394; bh=OKs7HMpjDoFN9xfWXXtLTAh/3NEG78/bYJUnL8WRGh0=;
 h=Date:In-Reply-To:References:Subject:To:CC:From:From;
 b=n+gy9Gx6owGymzrCDaiAMbno2T/88YFgj7EsPJO8DI7OMFjTirSp/NcEpFoKXFtdC
 pt1B8RE5X/0o/9QaCbaFYitOoNMeM/WMBWY0TcgKUnZziucYtbScEzzHjVeRAmfoB9
 NPIQrGuYHRh8g0H7sAnjEcuZHI3PnMntPXGfEDh0=
X-Riseup-User-ID: E2C3B206B6C302C302A7B8C494AD05DE904C8D305E8A3C08FEB02FBBB3889D3C
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 11DCC223385;
 Thu, 21 Feb 2019 12:03:12 -0800 (PST)
Date: Thu, 21 Feb 2019 21:03:08 +0100
In-Reply-To: <87va1faatv.fsf@HIDDEN>
References: <87a7isv3u9.fsf@HIDDEN> <87pnroudwk.fsf@HIDDEN>
 <87va1faatv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----VIK5PFWP1F8IO7D4A7DCV71IVAWOEB"
Content-Transfer-Encoding: 7bit
Subject: Re: [bug#34548] [PATCH 06/24] gnu: Add r-leaflet.
To: guix-patches@HIDDEN, Brett Gilio <brettg@HIDDEN>,
 Ricardo Wurmus <rekado@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <5AB7CFA8-FD34-48D3-8392-9102042F3596@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: 34548 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

------VIK5PFWP1F8IO7D4A7DCV71IVAWOEB
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

Brett Gilio <brettg@posteo=2Enet> skrev: (19 februari 2019 19:32:12 CET)
>
>Ricardo Wurmus writes:
>
>> Hi Brett,
>>
>>> From 26fbdbeee9ec293511648dc321abb09b6989fadc Mon Sep 17 00:00:00
>2001
>>> From: Brett Gilio <brettg@posteo=2Enet>
>>> Date: Mon, 18 Feb 2019 19:37:02 -0600
>>> Subject: [PATCH 06/24] gnu: Add r-leaflet=2E
>>>
>>> * gnu/packages/cran=2Escm (r-leaflet): New variable=2E
>>
>> Unfortunately, this one is not okay=2E  It=E2=80=99s been on my list to=
 add
>> r-leaflet, but the package bundles minified JavaScript libraries=2E
>>
>> These sources of these libraries will need to be added as native
>inputs
>> to replace the bundled sources=2E  We can minify them with the
>uglify-js
>> package=2E
>
>Understood=2E I will make a note to look that and see if I can revise the
>patch if that option seems formidable=2E However, on that note, do we
>have
>any progress on an npm importer? I know that came up awhile back=2E

Julien is sitting on the patchset right now since a few weeks=2E=20

It still has some defects still but is mostly working=2E

The problem of circular dependencies is still unsolved=2E I suggest we add=
 to our importer the ability to parse and select versions recursively=2E I =
tried but failed to get it to work before I gave up=2E
--=20
Sent from my k-9 mail for Android=2E

------VIK5PFWP1F8IO7D4A7DCV71IVAWOEB
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"gmail_quote">Brett Gilio &lt;brettg@=
posteo=2Enet&gt; skrev: (19 februari 2019 19:32:12 CET)<blockquote class=3D=
"gmail_quote" style=3D"margin: 0pt 0pt 0pt 0=2E8ex; border-left: 1px solid =
rgb(204, 204, 204); padding-left: 1ex;">
<pre class=3D"k9mail"><br>Ricardo Wurmus writes:<br><br><blockquote class=
=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1px sol=
id #729fcf; padding-left: 1ex;"> Hi Brett,<br><br><blockquote class=3D"gmai=
l_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid #ad7f=
a8; padding-left: 1ex;"> From 26fbdbeee9ec293511648dc321abb09b6989fadc Mon =
Sep 17 00:00:00 2001<br> From: Brett Gilio &lt;brettg@posteo=2Enet&gt;<br> =
Date: Mon, 18 Feb 2019 19:37:02 -0600<br> Subject: [PATCH 06/24] gnu: Add r=
-leaflet=2E<br><br> * gnu/packages/cran=2Escm (r-leaflet): New variable=2E<=
br></blockquote><br> Unfortunately, this one is not okay=2E  It=E2=80=99s b=
een on my list to add<br> r-leaflet, but the package bundles minified JavaS=
cript libraries=2E<br><br> These sources of these libraries will need to be=
 added as native inputs<br> to replace the bundled sources=2E  We can minif=
y them with the uglify-js<br> package=2E<br></blockquote><br>Understood=2E =
I will make a note to look that and see if I can revise the<br>patch if tha=
t option seems formidable=2E However, on that note, do we have<br>any progr=
ess on an npm importer? I know that came up awhile back=2E<br><br><br><br><=
/pre></blockquote></div><br clear=3D"all">Julien is sitting on the patchset=
 right now since a few weeks=2E <br><br>It still has some defects still but=
 is mostly working=2E<br><br>The problem of circular dependencies is still =
unsolved=2E I suggest we add to our importer the ability to parse and selec=
t versions recursively=2E I tried but failed to get it to work before I gav=
e up=2E<br>-- <br>Sent from my k-9 mail for Android=2E<br></body></html>
------VIK5PFWP1F8IO7D4A7DCV71IVAWOEB--




Information forwarded to guix-patches@HIDDEN:
bug#34548; Package guix-patches. Full text available.

Message received at 34548 <at> debbugs.gnu.org:


Received: (at 34548) by debbugs.gnu.org; 19 Feb 2019 18:32:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 19 13:32:27 2019
Received: from localhost ([127.0.0.1]:55540 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwABu-0006qe-P0
	for submit <at> debbugs.gnu.org; Tue, 19 Feb 2019 13:32:27 -0500
Received: from mout01.posteo.de ([185.67.36.65]:57024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1gwABt-0006qS-6y
 for 34548 <at> debbugs.gnu.org; Tue, 19 Feb 2019 13:32:25 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 8178B16005E
 for <34548 <at> debbugs.gnu.org>; Tue, 19 Feb 2019 19:32:19 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1550601139; bh=3UevgM7QXwFPlwsa2WNzW9MiA48yGFEHsa6gebzvrHw=;
 h=From:To:Cc:Subject:Date:From;
 b=i6Tk4YOYnN+x6qdvkL15adizKSDrYD/Am3A06FpGsA/fRvBTUm/2eBnCdCvDXnLBU
 u/SshFowK0lV7Yu1yp9zlZK3ZU57N3zpCZ1nAE2q7rbhSLsmlbWIqEYd+ZALNy1sQs
 G+PwGum5etPvi0cUey/hYpJwR6gp20f+lEsQezky0BQ40aAiYl9Onw5/GqfR7DqjnG
 6kkvTl8wqxXyJ9V0NM+P2JMQ2+DucXd7kMZXPuB+hZU8rLobw1eleekXMQ9UZ9V5De
 mYo+NSyUL6GABibmNHlY1eN3IfvrBvPTq4TvH4imbsAXEHje755NT6yWIS33o3rD9p
 ui2JxgXbJnxpw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 443q8f1679z6tmD;
 Tue, 19 Feb 2019 19:32:17 +0100 (CET)
References: <87a7isv3u9.fsf@HIDDEN> <87pnroudwk.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Brett Gilio <brettg@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#34548] [PATCH 06/24] gnu: Add r-leaflet.
In-reply-to: <87pnroudwk.fsf@HIDDEN>
Date: Tue, 19 Feb 2019 12:32:12 -0600
Message-ID: <87va1faatv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34548
Cc: 34548 <at> debbugs.gnu.org, Brett Gilio <brettg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Ricardo Wurmus writes:

> Hi Brett,
>
>> From 26fbdbeee9ec293511648dc321abb09b6989fadc Mon Sep 17 00:00:00 2001
>> From: Brett Gilio <brettg@HIDDEN>
>> Date: Mon, 18 Feb 2019 19:37:02 -0600
>> Subject: [PATCH 06/24] gnu: Add r-leaflet.
>>
>> * gnu/packages/cran.scm (r-leaflet): New variable.
>
> Unfortunately, this one is not okay.  It=E2=80=99s been on my list to add
> r-leaflet, but the package bundles minified JavaScript libraries.
>
> These sources of these libraries will need to be added as native inputs
> to replace the bundled sources.  We can minify them with the uglify-js
> package.

Understood. I will make a note to look that and see if I can revise the
patch if that option seems formidable. However, on that note, do we have
any progress on an npm importer? I know that came up awhile back.




Information forwarded to guix-patches@HIDDEN:
bug#34548; Package guix-patches. Full text available.

Message received at 34548 <at> debbugs.gnu.org:


Received: (at 34548) by debbugs.gnu.org; 19 Feb 2019 13:05:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 19 08:05:44 2019
Received: from localhost ([127.0.0.1]:53981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gw55j-0004rf-VX
	for submit <at> debbugs.gnu.org; Tue, 19 Feb 2019 08:05:44 -0500
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1gw55h-0004rV-Dj
 for 34548 <at> debbugs.gnu.org; Tue, 19 Feb 2019 08:05:42 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1550581537; cv=none; d=zoho.com; s=zohoarc; 
 b=EgOIlHlZZpy/1hdGCks019VSzxFdTtwfSHQCUWHho3txPqs4PJrSEb3lT8qz8bcPKMyWD2YRKWzDJJ89tpC6CM6jMQv7hf1tyiNKF1DNei+Ohgpw/tXUJKu24UJy8LlC+DrPMf3uop/J/YPjKcEOqTLoUy2esy+/rAYSEPefZlg=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1550581537;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=A1u7tUoNziSOUqQAHuj0xoQyVj4U+P4h1/jCuR1jVbg=; 
 b=Of3ALQi1R3nBS0g8k4op/sxjaP9wE1ZQy1fTjuxo+e9jnew/3O5F/or2mZ4H2fcKY3FtGyxak/y19B2Mq7zbPieIk8eDAbwQzmgaPCqm1A76pkDvJIFHaTRbuds93D7KwPqTcbG6lnB/czEwnowBvDDYJbdsQ16qwVLL42ANNE4=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1550581537; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=588; bh=A1u7tUoNziSOUqQAHuj0xoQyVj4U+P4h1/jCuR1jVbg=;
 b=NZzgj1FQT8dYcjqHdjEk9aKI0vpdL9n0NjAjvUYu/SuKSWcqtZdWBXLB8yfU39x8
 CqPq/cbJO1OpJn8csSDCch/RuWNDntPAaXejvZoqsvVIp9E5kc3m3D12v9JaHgNBKNr
 Fi0wQfA0Niqo4IsbW68uROj4wFxJRBo4/mSUCQ1E=
Received: from localhost (141.80.238.36 [141.80.238.36]) by mx.zohomail.com
 with SMTPS id 1550581535575412.435154997994;
 Tue, 19 Feb 2019 05:05:35 -0800 (PST)
References: <87a7isv3u9.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Brett Gilio <brettg@HIDDEN>
Subject: Re: [bug#34548] [PATCH 06/24] gnu: Add r-leaflet.
In-reply-to: <87a7isv3u9.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Tue, 19 Feb 2019 14:05:31 +0100
Message-ID: <87pnroudwk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34548
Cc: 34548 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi Brett,

> From 26fbdbeee9ec293511648dc321abb09b6989fadc Mon Sep 17 00:00:00 2001
> From: Brett Gilio <brettg@HIDDEN>
> Date: Mon, 18 Feb 2019 19:37:02 -0600
> Subject: [PATCH 06/24] gnu: Add r-leaflet.
>
> * gnu/packages/cran.scm (r-leaflet): New variable.

Unfortunately, this one is not okay.  It=E2=80=99s been on my list to add
r-leaflet, but the package bundles minified JavaScript libraries.

These sources of these libraries will need to be added as native inputs
to replace the bundled sources.  We can minify them with the uglify-js
package.

--
Ricardo





Information forwarded to guix-patches@HIDDEN:
bug#34548; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Feb 2019 03:58:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 18 22:58:44 2019
Received: from localhost ([127.0.0.1]:53580 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gvwYN-0007Ly-V6
	for submit <at> debbugs.gnu.org; Mon, 18 Feb 2019 22:58:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1gvwYJ-0007Jf-5X
 for submit <at> debbugs.gnu.org; Mon, 18 Feb 2019 22:58:39 -0500
Received: from lists.gnu.org ([209.51.188.17]:48767)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <brettg@HIDDEN>) id 1gvwY9-0000YD-7c
 for submit <at> debbugs.gnu.org; Mon, 18 Feb 2019 22:58:30 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59040)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <brettg@HIDDEN>) id 1gvwY8-0002Sl-7J
 for guix-patches@HIDDEN; Mon, 18 Feb 2019 22:58:29 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.5 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_MED,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <brettg@HIDDEN>) id 1gvwLX-0003OA-4o
 for guix-patches@HIDDEN; Mon, 18 Feb 2019 22:45:28 -0500
Received: from mout02.posteo.de ([185.67.36.66]:37365)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <brettg@HIDDEN>) id 1gvwLT-0003Id-5l
 for guix-patches@HIDDEN; Mon, 18 Feb 2019 22:45:25 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 6D4B02400E6
 for <guix-patches@HIDDEN>; Tue, 19 Feb 2019 04:45:21 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1550547921; bh=l+jUjK9E6LVni/GKeQb/BqTscGR2VJI1S0cc6si+ek0=;
 h=From:To:Subject:Date:From;
 b=MURWkv6FzgDYa1b+jnypwcHx6AJxIIPz46y7FcUV52F5ItSjVVBf6YGkRylHYDbf2
 TC4pSgH8fNgG9obBoT05PCdR/sOxv2+lPvpZ54zQuQVXhybgofrPpSjXGSN6522HCC
 GIcB+CMvROJmT/Rn3damWPhgyJIKeW/djSUexOKCiBox16Zsfv722f8RJH9dMhaEFh
 cWftl3aCziOq0qbLBkgbWfA7EJHYr0UL5RmpTLEyuW50KtnGrzcDODcQpEjEsLBTix
 6l1rLxjbpapQ89Cw+anUFEkHoPxZgTQWAvTaQZ4cg4K8QrOKuN8WFyGLmJWX00FlK8
 aafISqnlG24bg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 443RTD4kQ9z9rxP
 for <guix-patches@HIDDEN>; Tue, 19 Feb 2019 04:45:20 +0100 (CET)
From: Brett Gilio <brettg@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 06/24] gnu: Add r-leaflet.
Date: Mon, 18 Feb 2019 21:45:18 -0600
Message-ID: <87a7isv3u9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: inline; filename=0006-gnu-Add-r-leaflet.patch
Content-Description: [PATCH 06/24] gnu: Add r-leaflet.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 185.67.36.66
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

From 26fbdbeee9ec293511648dc321abb09b6989fadc Mon Sep 17 00:00:00 2001
From: Brett Gilio <brettg@HIDDEN>
Date: Mon, 18 Feb 2019 19:37:02 -0600
Subject: [PATCH 06/24] gnu: Add r-leaflet.

* gnu/packages/cran.scm (r-leaflet): New variable.
---
 gnu/packages/cran.scm | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 44c8b0a99..1359a565f 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -6655,6 +6655,40 @@ in science, technology, engineering and mathematics will need in their
 professional lives, but which are usually taught in isolation, if at all.")
    (license license:gpl2+)))
 
+(define-public r-leaflet
+  (package
+    (name "r-leaflet")
+    (version "2.0.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (cran-uri "leaflet" version))
+       (sha256
+        (base32
+         "051i5qmwa0zbk4jpjrx9kzk4g8qg9c3cavvhw19yj08fjhh8si7s"))))
+    (build-system r-build-system)
+    (propagated-inputs
+     `(("r-base64enc" ,r-base64enc)
+       ("r-crosstalk" ,r-crosstalk)
+       ("r-htmltools" ,r-htmltools)
+       ("r-htmlwidgets" ,r-htmlwidgets)
+       ("r-magrittr" ,r-magrittr)
+       ("r-markdown" ,r-markdown)
+       ("r-png" ,r-png)
+       ("r-raster" ,r-raster)
+       ("r-rcolorbrewer" ,r-rcolorbrewer)
+       ("r-scales" ,r-scales)
+       ("r-sp" ,r-sp)
+       ("r-viridis" ,r-viridis)))
+    (home-page "http://rstudio.github.io/leaflet/")
+    (synopsis
+     "Create Interactive Web Maps with the JavaScript Leaflet Library")
+    (description
+     "Create and customize interactive maps using the Leaflet JavaScript
+library and the htmlwidgets package.  These maps can be used directly from
+the R console, from RStudio, in Shiny applications and R Markdown documents.")
+    (license license:gpl3)))
+
 (define-public r-abd
   (package
     (name "r-abd")
-- 
2.20.1





Acknowledgement sent to Brett Gilio <brettg@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#34548; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.